// priority: 0

// Visit the wiki for more info - https://kubejs.com/

ServerEvents.recipes(event => {

let ULV = 8
let LV = 16
let MV = 96
let HV = 192

// soul_sand

event.recipes.gtceu.chemical_reactor('kubejs:chemical_reactor/soul_sand')
.itemInputs('#forge:sand')
.itemInputs('wstweaks:fragment')
.inputFluids(Fluid.of('gtceu:nitric_acid', 250))
.itemOutputs('minecraft:soul_sand')
.duration(100)
.EUt(MV)

// soul_soil

event.recipes.gtceu.chemical_reactor('kubejs:chemical_reactor/soul_soil')
.itemInputs('#minecraft:dirt')
.itemInputs('wstweaks:fragment')
.inputFluids(Fluid.of('gtceu:nitric_acid', 250))
.itemOutputs('minecraft:soul_soil')
.duration(100)
.EUt(MV)

// flawless_budding_quartz

event.recipes.gtceu.chemical_reactor('kubejs:chemical_reactor/flawless_budding_quartz')
.itemInputs('#forge:storage_blocks/certus_quartz')
.inputFluids(Fluid.of('gtceu:hydrofluoric_acid', 1000))
.itemOutputs('ae2:flawless_budding_quartz')
.duration(100)
.EUt(MV)

// bedrock

event.recipes.gtceu.chemical_reactor('kubejs:chemical_reactor/bedrock')
.itemInputs('8x gtceu:black_steel_dust')
.inputFluids(Fluid.of('gtceu:kanthal', 1296))
.itemOutputs('minecraft:bedrock')
.duration(100)
.EUt(MV)

// warp_stone

// event.remove ({ id: 'waystones:warp_stone'})
event.recipes.gtceu.chemical_reactor('kubejs:chemical_reactor/warp_stone')
.itemInputs('gtceu:ender_pearl_dust')
.itemInputs('2x gtceu:amethyst_dust')
.inputFluids(Fluid.of('gtceu:polyethylene', 144))
.itemOutputs(Item.of('waystones:warp_stone', '{Damage:0}'))
.duration(20)
.EUt(LV)

// sculk

event.recipes.gtceu.chemical_reactor('kubejs:chemical_reactor/sculk')
.itemInputs('ex_hammers:dust')
.itemInputs('gtceu:carbon_dust')
.inputFluids(Fluid.of('mob_grinding_utils:fluid_xp', 125))
.itemOutputs('minecraft:sculk')
.duration(20)
.EUt(LV)

// sculk_catalyst

event.recipes.gtceu.chemical_reactor('kubejs:chemical_reactor/sculk_catalyst')
.itemInputs('minecraft:sculk')
.itemInputs('gtceu:ender_pearl_dust')
.inputFluids(Fluid.of('gtceu:carbon', 125))
.itemOutputs('minecraft:sculk_catalyst')
.duration(20)
.EUt(LV)

// sculk_sensor

event.recipes.gtceu.chemical_reactor('kubejs:chemical_reactor/sculk_sensor')
.itemInputs('minecraft:sculk')
.itemInputs('minecraft:redstone')
.inputFluids(Fluid.of('gtceu:antimony', 125))
.itemOutputs('minecraft:sculk_sensor')
.duration(20)
.EUt(LV)

// sculk_shrieker

event.recipes.gtceu.chemical_reactor('kubejs:chemical_reactor/sculk_shrieker')
.itemInputs('minecraft:sculk')
.itemInputs('gtceu:ender_eye_dust')
.inputFluids(Fluid.of('gtceu:antimony', 125))
.itemOutputs('minecraft:sculk_shrieker')
.duration(20)
.EUt(LV)

// fire_water

event.recipes.gtceu.chemical_reactor('kubejs:chemical_reactor/fire_water')
.itemInputs('gtceu:sulfur_dust')
.inputFluids(Fluid.of('gtceu:blaze', 750))
.inputFluids(Fluid.of('minecraft:water', 250))
.outputFluids(Fluid.of('enderio:fire_water', 1000))
.duration(20)
.EUt(MV)


// fin //

  })